Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class DisplayCapabilities1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.DisplayCapabilities1

    public class DisplayCapabilities1
    extends java.lang.Object

Java class for DisplayCapabilities1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DisplayCapabilities1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DispTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}UserInterface2Code"/>
             <element name="NbOfLines" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max3NumericText"/>
             <element name="LineWidth" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max3NumericText"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected UserInterface2Code` `dispTp`
`protected java.lang.String` `lineWidth`
`protected java.lang.String` `nbOfLines`

### Constructor Summary

Constructors
`DisplayCapabilities1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UserInterface2Code` `getDispTp()` Gets the value of the dispTp property.
`java.lang.String` `getLineWidth()` Gets the value of the lineWidth property.
`java.lang.String` `getNbOfLines()` Gets the value of the nbOfLines property.
`void` `setDispTp​(UserInterface2Code value)` Sets the value of the dispTp property.
`void` `setLineWidth​(java.lang.String value)` Sets the value of the lineWidth property.
`void` `setNbOfLines​(java.lang.String value)` Sets the value of the nbOfLines property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dispTp

    protected UserInterface2Code dispTp

#### nbOfLines

    protected java.lang.String nbOfLines

#### lineWidth

    protected java.lang.String lineWidth

### Constructor Detail

#### DisplayCapabilities1

    public DisplayCapabilities1()

### Method Detail

#### getDispTp

    public UserInterface2Code getDispTp()

Gets the value of the dispTp property.

Returns:
  possible object is `UserInterface2Code`

#### setDispTp

    public void setDispTp​(UserInterface2Code value)

Sets the value of the dispTp property.

Parameters:
  `value` - allowed object is `UserInterface2Code`

#### getNbOfLines

    public java.lang.String getNbOfLines()

Gets the value of the nbOfLines property.

Returns:
  possible object is `String`

#### setNbOfLines

    public void setNbOfLines​(java.lang.String value)

Sets the value of the nbOfLines property.

Parameters:
  `value` - allowed object is `String`

#### getLineWidth

    public java.lang.String getLineWidth()

Gets the value of the lineWidth property.

Returns:
  possible object is `String`

#### setLineWidth

    public void setLineWidth​(java.lang.String value)

Sets the value of the lineWidth property.

Parameters:
  `value` - allowed object is `String`